apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: cheddar
spec:
  ingressClassName: nginx
  rules:
    - host: cheddar.example.com
      http:
        paths:
          - path: /
            pathType: Prefix
            backend:
              service:
                name: cheddar
                port:
                  number: 80
---
apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: stilton
spec:
  ingressClassName: nginx
  rules:
    - host: stilton.example.com
      http:
        paths:
          - path: /
            pathType: Prefix
            backend:
              service:
                name: stilton
                port:
                  number: 80
---
apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: wensleydale
spec:
  ingressClassName: nginx
  rules:
    - host: wensleydale.example.com
      http:
        paths:
          - path: /
            pathType: Prefix
            backend:
              service:
                name: wensleydale
                port:
                  number: 80
